Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1183270

Summary: twisted 14 incompatible with python-carbon
Product: [Fedora] Fedora Reporter: Frank Ch. Eigler <fche>
Component: python-carbonAssignee: Piotr Popieluch <piotr1212>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 21CC: jamielinux, jonathansteffan, lars, melankh, piotr1212
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: python-carbon-0.9.13-0.1.pre1.fc21 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-03-14 09:11:28 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description Frank Ch. Eigler 2015-01-17 23:47:49 UTC
The following bug affects 

python-carbon-0.9.12-6.fc21.noarch
python-twisted-14.0.0-2.fc21.x86_64

# service carbon-cache start
# journalctl -xe

carbon-cache[26027]: Traceback (most recent call last):
carbon-cache[26027]: File "/usr/bin/carbon-cache", line 28, in <module>
carbon-cache[26027]: from carbon.util import run_twistd_plugin
carbon-cache[26027]: File "/usr/lib/python2.7/site-packages/carbon/util.py", line 21, in <module>
carbon-cache[26027]: import daemonize
carbon-cache[26027]: ImportError: No module named daemonize
systemd[1]: carbon-cache.service: control process exited, code=exited status=1

This adjustment in /usr/lib/python2.7/site-packages/carbon/util.py
appears to make things work (though depends on python-django):

     21 from django.utils import daemonize
     22 #from twisted.scripts._twistd_unix import daemonize


See also:

http://stackoverflow.com/questions/19894708/cant-start-carbon-12-04-python-error-importerror-cannot-import-name-daem

Comment 1 Piotr Popieluch 2015-01-27 07:27:15 UTC
This will be fixed in the new Graphite 0.9.13 release which will ship soon.

You can find pre-release packages here:
https://piotrp.fedorapeople.org/graphite/

Comment 2 Lars Kellogg-Stedman 2015-03-01 04:48:08 UTC
Piotr, any updates on this?  I was just trying to get carbon up and running and hit this same problem.

Comment 3 Piotr Popieluch 2015-03-01 19:16:53 UTC
Hi Lars,

I am not the maintainer of the Graphite packages (yet). I did requested commit access to the Graphite package repositories, but they are still in 'Awaiting review'. So I can't push the packages at the moment :(

Johan: Could you please approve (or reject) my commit request?

You can use this copr repository for now:
https://copr.fedoraproject.org/coprs/piotrp/Graphite/
Please let me know if there are any issues with these.

Comment 4 Fedora Update System 2015-03-07 17:26:14 UTC
graphite-web-0.9.13-0.3.aa992b9.fc22,python-carbon-0.9.13-0.1.pre1.fc22,python-whisper-0.9.13-0.1.pre1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/graphite-web-0.9.13-0.3.aa992b9.fc22,python-carbon-0.9.13-0.1.pre1.fc22,python-whisper-0.9.13-0.1.pre1.fc22

Comment 5 Fedora Update System 2015-03-07 17:28:41 UTC
graphite-web-0.9.13-0.3.aa992b9.fc21,python-carbon-0.9.13-0.1.pre1.fc21,python-whisper-0.9.13-0.1.pre1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/graphite-web-0.9.13-0.3.aa992b9.fc21,python-carbon-0.9.13-0.1.pre1.fc21,python-whisper-0.9.13-0.1.pre1.fc21

Comment 6 Fedora Update System 2015-03-09 08:31:12 UTC
Package graphite-web-0.9.13-0.3.aa992b9.fc22, python-whisper-0.9.13-0.1.pre1.fc22, python-carbon-0.9.13-0.1.pre1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing graphite-web-0.9.13-0.3.aa992b9.fc22 python-whisper-0.9.13-0.1.pre1.fc22 python-carbon-0.9.13-0.1.pre1.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-3453/graphite-web-0.9.13-0.3.aa992b9.fc22,python-carbon-0.9.13-0.1.pre1.fc22,python-whisper-0.9.13-0.1.pre1.fc22
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2015-03-14 09:11:28 UTC
graphite-web-0.9.13-0.3.aa992b9.fc22, python-whisper-0.9.13-0.1.pre1.fc22, python-carbon-0.9.13-0.1.pre1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2015-03-21 05:02:11 UTC
python-carbon-0.9.13-0.1.pre1.fc21, graphite-web-0.9.13-0.3.aa992b9.fc21, python-whisper-0.9.13-0.1.pre1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.